Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Interface Parser

All Superinterfaces:
  Localizable

All Known Implementing Classes:
  AbstractParser, AngleParser, ClockParser, FragmentIdentifierParser, LengthListParser, LengthPairListParser, LengthParser, NumberListParser, NumberParser, PathParser, PointsParser, PreserveAspectRatioParser, TimingParser, TimingSpecifierListParser, TimingSpecifierParser, TransformListParser

    public interface Parser

extends Localizable

This interface represents a parser.

Method Summary
`void` | `parse(Reader r)` Parses the given reader
`void` | `parse(String s)` Parses the given string
`void` | `setErrorHandler(ErrorHandler handler)` Allows an application to register an error event handler.

Methods inherited from interface org.apache.batik.i18n.Localizable
`formatMessage, getLocale, setLocale`

Method Detail

### parse

    void parse(Reader r)
               throws ParseException

  Parses the given reader

  Throws:
    `ParseException`

### parse

    void parse(String s)
               throws ParseException

  Parses the given string

  Throws:
    `ParseException`

### setErrorHandler

    void setErrorHandler(ErrorHandler handler)

  Allows an application to register an error event handler.

  If the application does not register an error event handler, all error events reported by the parser will cause an exception to be thrown.

  Applications may register a new or different handler in the middle of a parse, and the parser must begin using the new handler immediately.

  Parameters:
    `handler` - The error handler.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.